<?xml version="1.0"?>
<configuration>
  <appSettings>
  </appSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="CFDiSoapBinding" closeTimeout="10:01:00" maxBufferPoolSize="2147483647"
          maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647"
            maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
          <security mode="Transport" />
        </binding>
        <binding name="CFDiSoapBinding1" maxBufferPoolSize="2147483647"
          maxBufferSize="2147483647" maxReceivedMessageSize="2147483647">
          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647"
            maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
        </binding>
        <binding name="TimbradoSoap11Binding">
          <security mode="Transport" />
        </binding>
        <binding name="TimbradoSoap11Binding1" />
        <binding name="CFDiSoapBinding2">
          <security mode="Transport" />
        </binding>
        <binding name="CFDiSoapBinding3" />
        <binding name="TimbreCFDISoap">
          <security mode="Transport" />
        </binding>
        <binding name="TimbreCFDISoap1" />
      </basicHttpBinding>
      <customBinding>
        <binding name="TimbradoPortBinding1">
          <mtomMessageEncoding messageVersion="Soap12" />
          <httpsTransport />
        </binding>
        <binding name="TimbradoPortBinding">
          <mtomMessageEncoding messageVersion="Soap12" />
          <httpsTransport />
        </binding>
        <binding name="TimbradoSoap12Binding">
          <textMessageEncoding messageVersion="Soap12" />
          <httpsTransport />
        </binding>
      </customBinding>
    </bindings>
    <client>
      <endpoint address="https://cfdiws.sedeb2b.com/EdiwinWS/services/CFDi"
        binding="basicHttpBinding" bindingConfiguration="CFDiSoapBinding"
        contract="EDICOM_Servicio.CFDi" name="CFDi" />
      <endpoint address="https://pac-test.stofactura.com:443/pac-sto-ws/cfdi33"
        binding="customBinding" bindingConfiguration="TimbradoPortBinding1"
        contract="STOPrueba.Timbrado" name="TimbradoPort1" />
      <endpoint address="https://pac.stofactura.com:443/pac-sto-ws/cfdi33"
        binding="customBinding" bindingConfiguration="TimbradoPortBinding"
        contract="STOProduccion.Timbrado" name="TimbradoPort" />
      <endpoint address="https://solucionfactible.com/ws/services/Timbrado.TimbradoHttpsSoap11Endpoint/"
        binding="basicHttpBinding" bindingConfiguration="TimbradoSoap11Binding"
        contract="Solucion_Factible.TimbradoPortType" name="TimbradoHttpsSoap11Endpoint" />
      <endpoint address="https://solucionfactible.com/ws/services/Timbrado.TimbradoHttpsSoap12Endpoint/"
        binding="customBinding" bindingConfiguration="TimbradoSoap12Binding"
        contract="Solucion_Factible.TimbradoPortType" name="TimbradoHttpsSoap12Endpoint" />
      <endpoint address="https://cfdiws.sedeb2b.com/EdiwinWS/services/CFDi"
        binding="basicHttpBinding" bindingConfiguration="CFDiSoapBinding2"
        contract="EDICOM_Servicio.CFDi" name="CFDi1" />
      <endpoint address="https://invoiceone.mx/TimbreCFDI/TimbreCFDI.asmx"
        binding="basicHttpBinding" bindingConfiguration="TimbreCFDISoap"
        contract="InvoiceOne.TimbreCFDISoap" name="TimbreCFDISoap" />
    </client>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="EnvDTE" publicKeyToken="B03F5F7F11D50A3A" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.0.0.0" newVersion="8.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager enabled="true" defaultProvider="ClientRoleProvider">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  
  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6" />
  </startup>
</configuration>